# $Id: smeserver-zarafa.spec,v 1.59 2011/03/06 15:29:05 slords Exp $
# Authority: dmay
# Name: Darrell May

%define name smeserver-zarafa
%define version 0.9.0
%define release 56
Summary: smserver rpm to setup zarafa
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-zarafa-0.9.0-removephp.patch
Patch3: smeserver-zarafa-0.9.0-props.patch
Patch4: smeserver-zarafa-0.9.0-ports.patch
Patch5: smeserver-zarafa-0.9.0-smessl.patch
Patch6: smeserver-zarafa-0.9.0-smessl2.patch
Patch7: smeserver-zarafa-0.9.0-smessl3.patch
Patch8: smeserver-zarafa-0.9.0-ldap.patch
Patch9: smeserver-zarafa-0.9.0-userprop1.patch
Patch10: smeserver-zarafa-0.9.0-services2.patch
Patch11: smeserver-zarafa-0.9.0-ports2.patch
Patch12: smeserver-zarafa-0.9.0-http.patch
Patch13: smeserver-zarafa-0.9.0-ldap2.patch
Patch14: smeserver-zarafa-0.9.0-shutdown4.patch
Patch15: smeserver-zarafa-0.9.0-shutdown5.patch
Patch16: smeserver-zarafa-0.9.0-update2.patch
Patch17: smeserver-zarafa-0.9.0-install.patch
Patch18: smeserver-zarafa-0.9.0-shutdown6.patch
Patch19: smeserver-zarafa-0.9.0-playnice.patch
Patch20: smeserver-zarafa-0.9.0-globalforward.patch
Patch21: smeserver-zarafa-0.9.0-impdisabled.patch
Patch22: smeserver-zarafa-0.9.0-icals.patch
Patch23: smeserver-zarafa-0.9.0-panels.patch
Patch24: smeserver-zarafa-0.9.0-smessl4.patch
Patch25: smeserver-zarafa-0.9.0-http2.patch
Patch26: smeserver-zarafa-0.9.0-templates.patch
Patch27: smeserver-zarafa-0.9.0-ports3.patch
Patch28: smeserver-zarafa-0.9.0-smessl5.patch
Patch29: smeserver-zarafa-0.9.0-smessl6.patch
Patch30: smeserver-zarafa-0.9.0-zarafaPublic.patch
Patch31: smeserver-zarafa-0.9.0-zarafaPublic2.patch
Patch32: smeserver-zarafa-0.9.0-locale-2009-07-27.patch
Patch33: smeserver-zarafa-0.9.0-panels2.patch
Patch34: smeserver-zarafa-0.9.0-panels3.patch
Patch35: smeserver-zarafa-0.9.0-locale-2009-08-24.patch
Patch36: smeserver-zarafa-0.9.0-Clic.patch
Patch37: smeserver-zarafa-0.9.0-locale-2009-10-21.patch
Patch38: smeserver-zarafa-0.9.0-locale-2009-10-27.patch
Patch39: smeserver-zarafa-0.9.0-move-webaccess.patch2
Patch40: smeserver-zarafa-0.9.0-services3.patch
Patch41: smeserver-zarafa-0.9.0-ldap3.patch
Patch42: smeserver-zarafa-0.9.0-ldap4.patch
Patch43: smeserver-zarafa-0.9.0-hidesystem.patch
Patch44: smeserver-zarafa-0.9.0-locale-2010-03-02.patch
Patch45: smeserver-zarafa-0.9.0-unix_plugin_fix.patch
Patch46: smeserver-zarafa-0.9.0-events_update_unix_plugin.patch
Patch47: smeserver-zarafa-0.9.0-restore_missing_settings.patch
Patch48: smeserver-zarafa-0.9.0-locale-2010-05-23.patch
Patch49: smeserver-zarafa-0.9.0-locale-2011-03-06.patch
Patch50: smeserver-zarafa-0.9.0-locale-2012-03-20.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: zarafa >= 6.30.6
AutoReqProv: no

%description
smserver rpm to setup zarafa

%changelog
* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 0.9.0-56.el6
- apply locale 2012-03-20 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.9.0-55.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 0.9.0-54.sme
- apply locale 2010-05-23 patch

* Sat May 22 2010 Gavin Weight <gweight@gweight.com> - 0.9-53
- Restore missing lines from unix.cfg.

* Sat May 22 2010 Gavin Weight <gweight@gweight.com> - 0.9-52
- Update unix plugin to exclude non-valid users/groups [SME: 5828]
- Add actions for templates to expand unix.cfg
- Add actions for services2adjust to unix.cfg

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 0.9.0-51.sme
- apply locale 2010-03-02 patch

* Sat Feb 20 2010 Stephen Noble <support@dungog.net> - 0.9-50
- hide system and everyone in addressbook [SME 5790]

* Tue Feb 16 2010 Stephen Noble <support@dungog.net> - 0.9-49
- use anon bind to login [SME 5779]

* Sat Feb 13 2010 Stephen Noble <support@dungog.net> - 0.9-48
- update ldap.cfg for 6.40 [SME 5779]
- default mysql InnoDB enabled

* Sat Feb 13 2010 Stephen Noble <support@dungog.net> - 0.9-47
- fix service scripts [SME 5672]

* Thu Feb 11 2010 Stephen Noble <support@dungog.net> - 0.9-46
- fix install and update scripts [SME 5672]
- tested OK on 6.40

* Thu Feb 11 2010 Stephen Noble <support@dungog.net> - 0.9-45
- webaccess location changed upstream [SME 5672]
- requires zarafa >= 6.30.6

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 0.9.0-44.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 0.9.0-43.sme
- apply locale 2009-10-21 patch

* Mon Sep 7 2009 Stephen Noble <support@dungog.net> - 0.9-42
- typo in language string [SME 5420]

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 0.9.0-41.sme
- apply locale 2009-08-24 patch

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-40
- update zarafa config panels [SME 5310]

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-38
- add translations for panels

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-36/37
- db setting to deliver mail to Public folders [SME 5412]

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-35
- fix defaults/zarafa-server/access private [SME 5368]

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-34
- fix defaults/zarafa/access SSL [SME 5367]

* Mon Jul 27 2009 Stephen Noble <support@dungog.net> - 0.9-33
- fix ical.cfg TCPPort error in templates [SME 5410]

* Thu Jun 11 2009 Stephen Noble <support@dungog.net> - 0.9-32
- remove unused templates in /etc/zarafa/ [SME 5357]

* Sat Jun 06 2009 Stephen Noble <support@dungog.net> - 0.9-31
- fix httpd.conf syntax error [SME 5162]

* Sat Jun 06 2009 Stephen Noble <support@dungog.net> - 0.9-30
- server.cfg server_ssl_enabled = yes [SME 5213]

* Mon Jun 01 2009 Stephen Noble <support@dungog.net> - 0.9-29
- add zarafa config panels [SME 5310]
- Thanks Marc Kelkermans at ati-informatique.net

* Fri Mar 06 2009 Stephen Noble <support@dungog.net> - 0.9-28
- add zarafa-icals service [SME 4874]

* Sat Feb 21 2009 Stephen Noble <support@dungog.net> - 0.9-27
- allow /webmail if $imp{status} disabled [SME 4957]
- remove requires 6.20

* Sat Jan 17 2009 Stephen Noble <support@dungog.net> - 0.9-26
- add globalForward to .qmail [SME 4891]

* Wed Dec 31 2008 Darrell May <dmay@tallgrassranhc.com> - 0.9-25
- add playnice patch [SME 4891]
- add separate db entries for zarafa pop/pop3/imap/imaps ports [SME 4912]
- reset dagent.cfg template to default

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-24
- add post-update links [SME 4871]
- shutdown6 uses S99 [SME 4883]

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-23
- trigger zarafa-update on updates of zarafa* rpms [SME 4886]

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-22
- fix shutdown patch again [SME 4883]
* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-21
- fix shutdown patch [SME 4883]

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-20
- delete-user patches removed, not required for ldap/unix [SME 4881]
- db needs create and delete, do them together, if required

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-19
- service_link shutdown added [SME 4883]

* Sun Dec 20 2008 Stephen Noble <support@dungog.net> - 0.9-18
- ldap, bind password [SME 4869]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-17
- http alias changes [SME 4856]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-16
- minor change in ports and property names [SME 4846]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-15
- added action/zarafa-services-stop [SME 4870]
- .qmail-junkmail fragment fixed and expanded [SME 4705]
* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-14
- default user zarafa property to enabled [SME 4870]
- .qmail-junkmail fragment readded [SME 4705]

* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-13
- ldap plugin [SME 4869]

* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-12
- use sme ssl files fixes [SME 4846]
* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-11
- use sme ssl files fixes [SME 4836]
* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-10
- use sme ssl files [SME 4836]
- change gateway ports to standard, requires changing sme ports manually
- Requires: zarafa = 6.20, verify/update contrib before allowing updates

* Thu Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-9
- change default pop port to 8110, gateway.cfg [SME 4854]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-8
- add properties to cfg files. unix,server,ical,gateway [SME 4636]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-7
- add user-delete symlink [SME 4621]
* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-6
- add user-delete action [SME 4621]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-5
- remove php template: [SME 4620]

* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added template to sort junk e-mail: Bug 4705
- [0.9-4a]
* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added /usr/bin/perl createlinks to spec file: Bug 4725
- [0.9-3a]
* Wed Oct 08 2008 Darrell May <dmay@tallgrassranch.com>
- smeserver-zarafa-0.9-2a.patch: Bug 4634
- [0.9-2a]
* Fri Oct 03 2008 Darrell May <dmay@tallgrassranch.com>
- initial release
- [0.9-1a]

%prep
%setup
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1

%build
/usr/bin/perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%triggerin -- zarafa
/etc/e-smith/events/actions/zarafa-update


